package com.docus.soap.api.service;

import com.docus.core.util.json.JSON;
import com.docus.soap.api.SoapAPIClient;
import com.docus.soap.api.SoapAPISettings;
import com.docus.soap.api.request.complain.GetTableByIdDateRequest;
import com.docus.soap.api.response.complain.ComplaintListResult;
import com.docus.soap.api.response.complain.GetTableByIdDateResponse;
import com.sun.org.apache.xerces.internal.dom.ElementNSImpl;

public class ComplaintAPIService {
    private SoapAPIClient soapAPIClient;

    public ComplaintListResult getTableByIdDate(GetTableByIdDateRequest targetRequest, SoapAPISettings soapAPISettings) {
        GetTableByIdDateResponse response = (GetTableByIdDateResponse) soapAPIClient.soapCall(targetRequest, soapAPISettings.getAction(), soapAPISettings.getUri());
        ComplaintListResult complaintListResult = JSON.fromJSON((((ElementNSImpl) response.getResults().get(0)).getFirstChild().getTextContent()), ComplaintListResult.class);
        return complaintListResult;
    }

    public void setWebServiceClient(SoapAPIClient webServiceClient) {
        this.soapAPIClient = webServiceClient;
    }
}
